Delete a private location

DELETE /api/synthetics/private_locations/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/synthetics/private_locations/{id}

Refer to Spaces for more information.

You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

A location cannot be deleted if it has associated monitors in use in any space. You must delete all monitors associated with the location before deleting the location.

[Required authorization] Route required privileges: uptime-read AND private-location-write AND uptime-write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The unique identifier of the private location to delete.

    Minimum length is 1, maximum length is 1024.

Responses

  • 200

    OK.

  • 400

    The private location does not exist, or it is used by one or more monitors in any space.

DELETE /api/synthetics/private_locations/{id}
curl \
  -X DELETE "${KIBANA_URL}/api/synthetics/private_locations/location-id" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/synthetics/private_locations/location-id